[arch-commits] Commit in xf86-input-spaceorb/trunk (PKGBUILD git-a2c3a661.patch)

Jan de Groot jgc at archlinux.org
Sun Mar 1 22:27:16 UTC 2009


    Date: Sunday, March 1, 2009 @ 17:27:16
  Author: jgc
Revision: 28733

upgpkg: xf86-input-spaceorb 1.1.1-2
    Patch to support latest xorg-server.
This driver is no longer maintained upstream. If it breaks, drop it!

Added:
  xf86-input-spaceorb/trunk/git-a2c3a661.patch
Modified:
  xf86-input-spaceorb/trunk/PKGBUILD

--------------------+
 PKGBUILD           |   18 +++++++++-------
 git-a2c3a661.patch |   56 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-03-01 22:25:49 UTC (rev 28732)
+++ PKGBUILD	2009-03-01 22:27:16 UTC (rev 28733)
@@ -3,21 +3,23 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-input-spaceorb
 pkgver=1.1.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org spaceorb input driver"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4')
+makedepends=('pkgconfig' 'xorg-server>=1.6.0')
+conflicts=('xorg-server<1.6.0')
 groups=('xorg-input-drivers')
 options=('!libtool')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
+	git-a2c3a661.patch)
+md5sums=('c7fb96281874733480ba86a5a0a3b5af' 'e1fcf2692f004a334cc930e67c8ad512')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/git-a2c3a661.patch" || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('c7fb96281874733480ba86a5a0a3b5af')

Added: git-a2c3a661.patch
===================================================================
--- git-a2c3a661.patch	                        (rev 0)
+++ git-a2c3a661.patch	2009-03-01 22:27:16 UTC (rev 28733)
@@ -0,0 +1,56 @@
+diff -ruN -x .cvsignore -x .gitignore xf86-input-spaceorb-93fd49758565321036891543bbbdea74e759a393/README xf86-input-spaceorb-a2c3a6617773557d9bd5bccbc2b0796781ebec74/README
+--- xf86-input-spaceorb-93fd49758565321036891543bbbdea74e759a393/README	1970-01-01 00:00:00.000000000 +0000
++++ xf86-input-spaceorb-a2c3a6617773557d9bd5bccbc2b0796781ebec74/README	2009-01-31 04:29:02.000000000 +0000
+@@ -0,0 +1,19 @@
++
++Please submit bugs & patches to the Xorg bugzilla:
++
++        https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
++
++All questions regarding this software should be directed at the
++Xorg mailing list:
++
++        http://lists.freedesktop.org/mailman/listinfo/xorg
++
++The master development code repository can be found at:
++
++        git://anongit.freedesktop.org/git/xorg/driver/xf86-input-spaceorb
++
++        http://cgit.freedesktop.org/xorg/driver/xf86-input-spaceorb
++
++For more information on the git code manager, see:
++
++        http://wiki.x.org/wiki/GitPage
+diff -ruN -x .cvsignore -x .gitignore xf86-input-spaceorb-93fd49758565321036891543bbbdea74e759a393/man/Makefile.am xf86-input-spaceorb-a2c3a6617773557d9bd5bccbc2b0796781ebec74/man/Makefile.am
+--- xf86-input-spaceorb-93fd49758565321036891543bbbdea74e759a393/man/Makefile.am	2007-09-10 17:12:04.000000000 +0000
++++ xf86-input-spaceorb-a2c3a6617773557d9bd5bccbc2b0796781ebec74/man/Makefile.am	2009-01-31 04:29:02.000000000 +0000
+@@ -1,4 +1,3 @@
+-# $Id$
+ #
+ # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
+ # 
+diff -ruN -x .cvsignore -x .gitignore xf86-input-spaceorb-93fd49758565321036891543bbbdea74e759a393/src/spaceorb.c xf86-input-spaceorb-a2c3a6617773557d9bd5bccbc2b0796781ebec74/src/spaceorb.c
+--- xf86-input-spaceorb-93fd49758565321036891543bbbdea74e759a393/src/spaceorb.c	2007-09-10 17:12:04.000000000 +0000
++++ xf86-input-spaceorb-a2c3a6617773557d9bd5bccbc2b0796781ebec74/src/spaceorb.c	2009-01-31 04:29:02.000000000 +0000
+@@ -107,7 +107,9 @@
+         "xf86CollectInputOptions",
+         "xf86ErrorFVerb",
+         "xf86FindOptionValue",
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 3
+         "xf86GetMotionEvents",
++#endif
+         "xf86GetVerbosity",
+         "xf86MotionHistoryAllocate",
+         "xf86NameCmp",
+@@ -337,7 +339,10 @@
+     return !Success;
+   }
+ 
+-  if (InitValuatorClassDeviceStruct (dev, 6, xf86GetMotionEvents,
++  if (InitValuatorClassDeviceStruct (dev, 6,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 3
++				     xf86GetMotionEvents,
++#endif
+ 				     pInfo->history_size, Absolute) == FALSE)
+     {
+       ErrorF ("Unable to allocate SPACEORB ValuatorClassDeviceStruct\n");




More information about the arch-commits mailing list